<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <service servicelist='horus_frontend'>horus_frontend</service>
    </files>

    <containers>
        <container name="mysql">
            <file filelist='mysql' name='/etc/mysql/conf.d/capti.cnf'/>
        </container>
    </containers>

    <variables>

        <family name='general'>
            <variable name='eole_module' redefine='True'>
                <value>horus</value>
            </variable>
            <variable name='nombre_interfaces' redefine='True' mode='expert'/>
        </family>

        <family name='Interface-0'>
            <variable name='eth0_method' redefine='True' hidden='True'>
                <value>statique</value>
            </variable>
        </family>

        <family name='services'>
            <variable name='horus_frontend' type='oui/non' description="Activation du service horus_frontend" >
                <value>non</value>
            </variable>
            <variable name='activer_apache' redefine='True' >
                <value>non</value>
            </variable>
            <variable name='activer_client_ldap' redefine='True' hidden='True'/>
            <!-- service eole-sso local activé par défaut -->
            <variable name='activer_sso' redefine='True'>
                <value>local</value>
            </variable>
            <!-- Esu inactif par défaut -->
            <variable name='activer_esu' redefine='True' hidden='False'>
                <value>non</value>
            </variable>
        </family>

        <family name='système'>

            <!-- We need to recalculate the variables -->
            <variable name='eole_lv_names' redefine='True' remove_check='True' />
            <variable name='eole_lv_standard_extends' redefine='True' remove_check='True' />

        </family>

        <family name='mysql'>
            <variable name='mysql_open_firewall' redefine='True'>
                <value>oui</value>
            </variable>
        </family>

        <separators/>

    </variables>

    <constraints>

        <condition name='disabled_if_in' source='horus_frontend'>
            <param>non</param>
            <target type='servicelist'>horus_frontend</target>
        </condition>

        <!-- Mysql ouvert sur le réseau local par défaut #18963 -->
        <fill name='calc_val' target='ip_my_dist'>
            <param type='eole' name='valeur'>adresse_network_eth0</param>
        </fill>
        <fill name='calc_val' target='mask_my_dist'>
            <param type='eole' name='valeur'>adresse_netmask_eth0</param>
        </fill>

        <!-- Default AmonEcole* logical volumes -->
        <auto name='calc_multi_val' target='eole_lv_names'>
            <param>root</param>
            <param>tmp</param>
            <param>var</param>
            <param>var+lib</param>
            <param>var+log</param>
            <param>home</param>
        </auto>

        <!-- Default AmonEcole* logical volumes extension: 100% /home -->
        <auto name='calc_multi_val' target='eole_lv_standard_extends'>
            <param type='number'>0</param>
            <param type='number'>0</param>
            <param type='number'>0</param>
            <param type='number'>0</param>
            <param type='number'>0</param>
            <param type='number'>100</param>
        </auto>

    </constraints>

    <help/>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
